> For the complete documentation index, see [llms.txt](https://docs.autoenhance.ai/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.autoenhance.ai/images/managing-images/reporting.md).

# Reporting

Your feedback is extremely valuable to us, so please don't hesitate to share your thoughts!

This API endpoint allows you to report and review images. To report an image, you must provide the `image_id` , `score`, `categories`, and a valid API key.

{% hint style="info" %}
**Before you continue**\
You can find the list of report categories in the API specification. Additionally, there's an optional `comment` property where you can provide any feedback.
{% endhint %}

{% tabs %}
{% tab title="JavaScript" %}

```javascript
const imageId = "ID_OF_YOUR_IMAGE";
const apiKey = "YOUR_API_KEY";
const score = 4;
const categories = ["LENS_CORRECTION","AUTO_PRIVACY"]

const reportImage = async (imageId, apiKey, score, categories) => {
    const reportImageResponse = await fetch(
      `https://api.autoenhance.ai/v3/images/${imageId}/report`,
      { 
        method: "POST" 
        headers:{
          "x-api-key": apiKey,  
        },
        body: JSON.stringify({
          score: score,
          categories: categories
        }),
      }
    );
}
```

{% endtab %}

{% tab title="Python" %}

```python
import requests
import json

image_id = "ID_OF_YOUR_IMAGE"
api_key = "YOUR_API_KEY"
score = 4
categories = ["LENS_CORRECTION", "AUTO_PRIVACY"]

def report_image(image_id, api_key, score, categories):
    url = f"https://api.autoenhance.ai/v3/images/{image_id}/report"
    headers = {
        "x-api-key": api_key,
        "Content-Type": "application/json"
    }
    data = {
        "score": score,
        "categories": categories
    }

    response = requests.post(url, headers=headers, data=json.dumps(data))
    return response
```

{% endtab %}

{% tab title="PHP" %}

```php
$image_id = "ID_OF_YOUR_IMAGE";
$api_key = "YOUR_API_KEY";
$score = 4;
$categories = array("LENS_CORRECTION", "AUTO_PRIVACY");

function report_image($image_id, $api_key, $score, $categories) {
    $url = "https://api.autoenhance.ai/v3/images/$image_id/report";

    $data = array(
        'score' => $score,
        'categories' => $categories
    );

    $options = array(
        'http' => array(
            'header'  => "Content-Type: application/json\r\n" .
                         "x-api-key: $api_key",
            'method'  => 'POST',
            'content' => json_encode($data),
        ),
    );

    $context  = stream_context_create($options);
    $result = file_get_contents($url, false, $context);

    if ($result === FALSE) {
        return 'Error reporting image';
    }

    return 'Image reported successfully';
}
```

{% endtab %}

{% tab title="cURL" %}

```
curl -X POST \
  https://api.autoenhance.ai/v3/images/ID_OF_YOUR_IMAGE/report \
  -H 'Content-Type: application/json' \
  -H 'x-api-key: YOUR_API_KEY' \
  -d '{
        "score": 4,
        "categories": ["LENS_CORRECTION", "AUTO_PRIVACY"]
    }'
```

{% endtab %}
{% endtabs %}

### Specification

{% openapi src="<https://api.autoenhance.ai/docs/openapi.spec>" path="/v3/images/{id}/report" method="post" %}
<https://api.autoenhance.ai/docs/openapi.spec>
{% endopenapi %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.autoenhance.ai/images/managing-images/reporting.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
